Subject: [Seamoby] Review comments from Basavaraj Patel on CTP

From: "James Kempf" <[email-masked]>
Date: Tue, 21 Oct 2003 14:42:37 -0700

Forwarding.

            jak

------------------------------------
My comments are editorial only:

Editorial:

1. Can the problem description text in the Introduction be a
   subsection? The current Into section begins with a reference to a
   problem statement described in RFC3374. 
   Nit: The open quote "Problem... in Section 1 is not terminated.

2. s/This section provides a protocol overview/This section provides the
   CT protocol overview.

3. Section 2: (References)
   "In response to a CT-Activate Request message or to the CT trigger, pAR
   predictively transmits a Context Transfer Data (CTD) message that
   contains feature contexts.  This message, described in Section
   2.4.2"
   Incorrect reference.

   "In the second scenario, pAR receives a Context Transfer Request (CT
   Request) described in Section 2.4.5, message from nAR."
   Incorrect reference; Should be 2.4.6

   Nit: Check all references
 
4. Section 2:
   "[1].* contexts, pAR verifies authorization token before transmitting
   the [2]algorithm [3] When context transfer takes place without the
   nAR requesting it (scenario one above), nAR requires MN to present
   its authorization token"
   
   I could not make out what this statement says. I am not even sure
   if the authors can understand it.

5. Section 2:
   Can you create subsections for scenarios 1 and 2? Would make it
   easier to reference.

6. s/Additially/Additionally

7. Section 2.3
   a. Would be good to describe each field separately. Goes for all
   subsequent sections where message formats are described.
     CXT Type - 
     Length   - 
     P bit    -
   b. "When the presence vector is in use, the Presentation Vector is
   interpreted.."
   What is this Presentation vector? (Typo)
   c. Last paragraph has % chars

8. Sec 2.4.1
   "If an acknowledgement for this message is needed, the MN sets the
   A flag to 1, "

   Missing "A" flag in CTAR.

9.  Sec 2.4.2
    Describe the fields.

10. Is there a need for specifying the status codes used in CTDR and
    CTAA? 

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: [email-masked]
Date: Fri, 24 Oct 2003 18:05:32 +0300

>    Nit: The open quote "Problem... in Section 1 is not terminated.

Done
 
> 2. s/This section provides a protocol overview/This section provides the

Done

>    Nit: Check all references

Done
  
>    if the authors can understand it.

Done, I've deleted it, based upon reorganizing some of the text

>    Can you create subsections for scenarios 1 and 2? Would make it

done.

> 6. s/Additially/Additionally

 Done

>    subsequent sections where message formats are described.

Will do

>    What is this Presentation vector? (Typo)

fixed

>    c. Last paragraph has % chars

done

>    Missing "A" flag in CTAR.

Fixed, it was listed as R
 
>     Describe the fields.

Will do

> 10. Is there a need for specifying the status codes used in CTDR and CTAA? 

Will do.

John